The BOOST_PP_TUPLE_TO_SEQ macro converts a tuple to an seq.

#### Usage

BOOST_PP_TUPLE_TO_SEQ(tuple) (v)
or
BOOST_PP_TUPLE_TO_SEQ(size, tuple) (v)

#### Arguments

size
  The size of the tuple to be converted. The argument is ignored.
tuple
  The tuple to be converted.

#### Remarks

You can invoke the variadic macro (v) as BOOST_PP_TUPLE_TO_SEQ(tuple) or BOOST_PP_TUPLE_TO_SEQ(size,tuple) for backward compatibility.

#### Requirements

Header: <boost/preprocessor/tuple/to_seq.hpp>

#### Sample Code

    #include <boost/preprocessor/tuple/to_seq.hpp>

    BOOST_PP_TUPLE_TO_SEQ((a, b, c)) // expands to (a)(b)(c)

© Copyright Housemarque Oy 2002
© Copyright Paul Mensonides 2002
© Copyright Edward Diener 2011,2013,2020

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)